FlatSolidBuilder Class

class NXOpen.Features.SheetMetal.FlatSolidBuilder

Bases: NXOpen.Features.SheetMetal.SheetmetalBaseBuilder

Represents a Flat As Solid feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateFlatSolidFeatureBuilder()

Default values.

Property Value
Associative true
InnerCornerTreatment.TreatmentType None
InnerCornerTreatment.UseGlobal 1
InnerCornerTreatment.Value.Value 0 (millimeters part), 0 (inches part)
TransformComponents None
TransformRestrictionAreas 0

New in version NX4.0.0.

Properties

Property Description
AddedGeometry Returns the added geometry selection
Associative Returns or sets the setting which decides whether the flattened solid will be associative to parent body.
FixAtTimestamp Returns or sets the setting decides whether the flattened solid will be fixed at timestamp.
InnerCornerTreatment Returns the inner corner treatment corner object
Orientation Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS.
OrientationCsys Returns or sets the orientation csys ** This is applicable to flat solid features created (or renewed) in NX12 and later release.
OuterCornerTreatment Returns the outer corner treatment corner object
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
ReferenceVertex Returns or sets the end of the edge where the tangent will define the x axis for flat as solid.
StationaryFace Returns the stationary face selection
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TransformComponents Returns or sets the setting indicating how to represent transformed components in flat solid.
TransformRestrictionAreas Returns or sets the setting indicating whether to transform restriction areas in flat solid.
TransformToAbsoluteCsys Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.
XAxisEdge Returns the x axis edge selection

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetApplicationContext Get the application context.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetApplicationContext Set the application context.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.
ValidateBuilderData Validate the builder data

Enumerations

FlatSolidBuilderOrientationType Enumeration The enum defines how to orient flat solid body.
FlatSolidBuilderTransformComponentsOption Enumeration The enum defines how to represent PCB components on flat solid.

Property Detail

AddedGeometry

FlatSolidBuilder.AddedGeometry

Returns the added geometry selection

-------------------------------------

Getter Method

Signature AddedGeometry

Returns:
Return type:NXOpen.Section

New in version NX6.0.0.

License requirements: None.

Associative

FlatSolidBuilder.Associative

Returns or sets the setting which decides whether the flattened solid will be associative to parent body.

** This is applicable to flat solid features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as non associative.

-------------------------------------

Getter Method

Signature Associative

Returns:True = Feature is associative, False = Feature is not associative.
Return type:bool

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Associative

Parameters:associative (bool) – True = Feature is associative, False = Feature is not associative.

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

FixAtTimestamp

FlatSolidBuilder.FixAtTimestamp

Returns or sets the setting decides whether the flattened solid will be fixed at timestamp.

** This is applicable to flat solid features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as fixed at timestamp.

-------------------------------------

Getter Method

Signature FixAtTimestamp

Returns:True = Fix at Timestamp, False = Do not Fix at Timestamp.
Return type:bool

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FixAtTimestamp

Parameters:fixAtTimestamp (bool) – True = Fix at Timestamp, False = Do not Fix at Timestamp.

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

InnerCornerTreatment

FlatSolidBuilder.InnerCornerTreatment

Returns the inner corner treatment corner object

-------------------------------------

Getter Method

Signature InnerCornerTreatment

Returns:
Return type:NXOpen.Features.SheetMetal.CornerTreatmentBuilder

New in version NX6.0.0.

License requirements: None.

Orientation

FlatSolidBuilder.Orientation

Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created (or renewed) to NX12 and later release.

-------------------------------------

Getter Method

Signature Orientation

Returns:
Return type:NXOpen.Features.SheetMetal.FlatSolidBuilderOrientationType

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Orientation

Parameters:orientation (NXOpen.Features.SheetMetal.FlatSolidBuilderOrientationType) –

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

OrientationCsys

FlatSolidBuilder.OrientationCsys

Returns or sets the orientation csys ** This is applicable to flat solid features created (or renewed) in NX12 and later release.

-------------------------------------

Getter Method

Signature OrientationCsys

Returns:
Return type:NXOpen.CoordinateSystem

New in version NX12.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OrientationCsys

Parameters:csys (NXOpen.CoordinateSystem) –

New in version NX12.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

OuterCornerTreatment

FlatSolidBuilder.OuterCornerTreatment

Returns the outer corner treatment corner object

-------------------------------------

Getter Method

Signature OuterCornerTreatment

Returns:
Return type:NXOpen.Features.SheetMetal.CornerTreatmentBuilder

New in version NX6.0.0.

License requirements: None.

ReferenceVertex

FlatSolidBuilder.ReferenceVertex

Returns or sets the end of the edge where the tangent will define the x axis for flat as solid.

-------------------------------------

Getter Method

Signature ReferenceVertex

Returns:One of the end points of the reference edge.
Return type:NXOpen.Point3d

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature ReferenceVertex

Parameters:vertex (NXOpen.Point3d) – One of the end points of the reference edge.

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

StationaryFace

FlatSolidBuilder.StationaryFace

Returns the stationary face selection

-------------------------------------

Getter Method

Signature StationaryFace

Returns:
Return type:NXOpen.SelectFace

New in version NX6.0.0.

License requirements: None.

TransformComponents

FlatSolidBuilder.TransformComponents

Returns or sets the setting indicating how to represent transformed components in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.

-------------------------------------

Getter Method

Signature TransformComponents

Returns:
Return type:NXOpen.Features.SheetMetal.FlatSolidBuilderTransformComponentsOption

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TransformComponents

Parameters:transformComponents (NXOpen.Features.SheetMetal.FlatSolidBuilderTransformComponentsOption) –

New in version NX10.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

TransformRestrictionAreas

FlatSolidBuilder.TransformRestrictionAreas

Returns or sets the setting indicating whether to transform restriction areas in flat solid.

Only applies to the Flexible Printed Circuit Design application and will have no effect in Sheet Metal.

-------------------------------------

Getter Method

Signature TransformRestrictionAreas

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TransformRestrictionAreas

Parameters:transformRestrictionAreas (bool) –

New in version NX10.0.0.

License requirements: nx_flexible_pcb (“NX Flexible PCB”)

TransformToAbsoluteCsys

FlatSolidBuilder.TransformToAbsoluteCsys

Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.

This is applicable to flat solid / flat pattern features created before NX12 release and not yet renewed. The API can not be deprecated because it is required to edit features created before NX12 release. But user should modify automation programs written before NX12 and replace use this option with the orientation option, before using the program to create new features in NX12 or later.

-------------------------------------

Getter Method

Signature TransformToAbsoluteCsys

Returns:True = Transform to ABS, False = Do not transform to ABS.
Return type:bool

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

-------------------------------------

Setter Method

Signature TransformToAbsoluteCsys

Parameters:transformFlag (bool) – True = Transform to ABS, False = Do not transform to ABS.

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)

XAxisEdge

FlatSolidBuilder.XAxisEdge

Returns the x axis edge selection

-------------------------------------

Getter Method

Signature XAxisEdge

Returns:
Return type:NXOpen.SelectEdge

New in version NX6.0.0.

License requirements: None.

Method Detail

Validate

FlatSolidBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.

ValidateBuilderData

FlatSolidBuilder.ValidateBuilderData

Validate the builder data

Signature ValidateBuilderData()

Returns:0 Means no errors.
Return type:int

New in version NX4.0.0.

License requirements: nx_sheet_metal (“NX Sheet Metal”) OR nx_flexible_pcb (“NX Flexible PCB”)